Subject: Re: FVWM: Fvwm on a laptop: setting my physical screen resolution?

From: Tessa Lau <[email-masked]>
Date: Fri, 08 Nov 2002 17:20:53 -0500

Thanks for the suggestion.  I installed Fvwm 2.5.4 and added this to
my .fvwmrc:
 
>   EwmhBaseStrut 0 576 0 432
>   style * EWMHPlacementUseWorkingArea
>   style * placementoverlappenalties 1 5 10 1 0.05 1000, minoverlapplacement

It doesn't have any effect.  I'm trying to keep all windows in the
upper left 1024x768 region of the screen.  However when an app pops up
a dialog box (e.g. the search box in Galeon), the dialog comes up in
the empty area at location 1144x108, which is off the right of my
physical screen.

How is this supposed to work?

--Tessa
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Sat, 9 Nov 2002 16:52:41 +0100

> the empty area at location 1144x108, which is off the right of my

Try adding

  Style * NoPPosition, NoTransientPPosition

> How is this supposed to work?

It is supposed to work well ;-)  Seriously, when fvwm places
windows in minoverlapplacement mode, it tried to keep the
overlapped area of other windows as small as possible.  The
placement penalties determine a weight for each window (see the
man page for details).  The EwmhBaseStrut command defines so
called "struts" (yes, I know the name is braindead; we did not
invent it).  These are borders at the four sides of the screen in
which no windows are placed under KDE or Gnome.  The last number
of the ...penalties line is the penalty for placing windows in
these areas.

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].